Create a credit type

Requires the CREDIT_TYPE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
namestringRequiredformat: "^.*$"0-256 characters
statusenum or nullOptional
Allowed values:
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
unit_nameobjectOptional

Response

Created
referencestringformat: "^\S+$"0-256 characters
namestringformat: "^.*$"0-256 characters
object_typestring or nullRead-only
idstring or nullRead-only
statusenum or null
Allowed values:
descriptionstring or nullformat: "^.*$"0-256 characters
unit_nameobject
created_atstring or nullRead-only
updated_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error